CVE-2016-2523 Details

CVE-2016-2523

Published: 2016-02-28
Last Modified: 2017-09-08
CVE Author: NIST National Vulnerability Database
CVE Assigner: cve@mitre.org
Summary

The dnp3_al_process_object function in epan/dissectors/packet-dnp.c in the DNP3 dissector in Wireshark 1.12.x before 1.12.10 and 2.0.x before 2.0.2 allows remote attackers to cause a denial of service (infinite loop) via a crafted packet.

Analysis
Common Vulnerability Score System v2.0
Severity High
Base Score 7.1/10
Exploit Score 8.6/10
Access Vector Network
Access Complexity Medium
Authentication None
Impact Score 6.9/10
Confidentiality Impact None
Availability Impact Complete
Integrity Impact None
Vector String AV:N/AC:M/Au:N/C:N/I:N/A:C
Common Vulnerability Score System v3.1
Severity Medium
Base Score 5.9/10
Exploit Score 2.2/10
Access Vector Network
Access Complexity High
Privileges Required None
Impact Score 3.6/10
Confidentiality Impact None
Availability Impact High
Integrity Impact None
Scope Unchanged
User Interaction None
Vector String CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H
Products Reported
CPE Vulnerable Start Excluding
cpe:2.3:a:wireshark:wireshark:1.12.0:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:wireshark:wireshark:1.12.1:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:wireshark:wireshark:1.12.2:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:wireshark:wireshark:1.12.3:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:wireshark:wireshark:1.12.4:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:wireshark:wireshark:1.12.5:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:wireshark:wireshark:1.12.6:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:wireshark:wireshark:1.12.7:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:wireshark:wireshark:1.12.8:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:wireshark:wireshark:1.12.9:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:wireshark:wireshark:2.0.0:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:wireshark:wireshark:2.0.1:*:*:*:*:*:*:* Yes - -
References

http://lists.opensuse.org/opensuse-updates/2016-03/msg00015.html
http://lists.opensuse.org/opensuse-updates/2016-03/msg00016.html
http://www.debian.org/security/2016/dsa-3516
http://www.oracle.com/technetwork/topics/security/bulletinapr2016-2952098.html
http://www.securitytracker.com/id/1035118
http://www.wireshark.org/security/wnpa-sec-2016-03.html
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=11938
https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=260afe11feb796d1fde992d8f8c133ebd950b573
https://security.gentoo.org/glsa/201604-05

CVE ID
CVE-2016-2523
Published
2016-02-28
Modified
2017-09-08
CVSSv2.0
High
CVSSv3.1
Medium
PCI Compliance
Pass
US-CERT Alert
No
CWE
CWE-399

You never have to pay for a vulnerability scanning and management software again.

Tired of paying a subscription 'per asset' or 'per IP'? Well you can officially cancel your current subscription. Mageni provides a free, open source and enterprise-ready vulnerability scanning and management platform which helps you to find, prioritize, remediate and manage your vulnerabilities.